
package de.ivu.elect.presentation.staat.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.staat.StaatenGruppeSearchView;

public class StaatenGruppeSearchMenuItemEntry extends AbstractStaatenGruppeMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public StaatenGruppeSearchMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.STAATEN_GRUPPE_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return StaatenGruppeSearchView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSearch();
  }
}
